Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
206a::/16
First address
206a::
Last address
206a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
206a:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
a.6.0.2.ip6.arpa
Split into smaller subnets/24

206a::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
1206a::/24206a:ff:ffff:ffff:ffff:ffff:ffff:ffff
2206a:100::/24206a:1ff:ffff:ffff:ffff:ffff:ffff:ffff
3206a:200::/24206a:2ff:ffff:ffff:ffff:ffff:ffff:ffff
4206a:300::/24206a:3ff:ffff:ffff:ffff:ffff:ffff:ffff
5206a:400::/24206a:4ff:ffff:ffff:ffff:ffff:ffff:ffff
6206a:500::/24206a:5ff:ffff:ffff:ffff:ffff:ffff:ffff
7206a:600::/24206a:6ff:ffff:ffff:ffff:ffff:ffff:ffff
8206a:700::/24206a:7ff:ffff:ffff:ffff:ffff:ffff:ffff
9206a:800::/24206a:8ff:ffff:ffff:ffff:ffff:ffff:ffff
10206a:900::/24206a:9ff:ffff:ffff:ffff:ffff:ffff:ffff
11206a:a00::/24206a:aff:ffff:ffff:ffff:ffff:ffff:ffff
12206a:b00::/24206a:bff:ffff:ffff:ffff:ffff:ffff:ffff
13206a:c00::/24206a:cff:ffff:ffff:ffff:ffff:ffff:ffff
14206a:d00::/24206a:dff:ffff:ffff:ffff:ffff:ffff:ffff
15206a:e00::/24206a:eff:ffff:ffff:ffff:ffff:ffff:ffff
16206a:f00::/24206a:fff:ffff:ffff:ffff:ffff:ffff:ffff
17206a:1000::/24206a:10ff:ffff:ffff:ffff:ffff:ffff:ffff
18206a:1100::/24206a:11ff:ffff:ffff:ffff:ffff:ffff:ffff
19206a:1200::/24206a:12ff:ffff:ffff:ffff:ffff:ffff:ffff
20206a:1300::/24206a:13ff:ffff:ffff:ffff:ffff:ffff:ffff
21206a:1400::/24206a:14ff:ffff:ffff:ffff:ffff:ffff:ffff
22206a:1500::/24206a:15ff:ffff:ffff:ffff:ffff:ffff:ffff
23206a:1600::/24206a:16ff:ffff:ffff:ffff:ffff:ffff:ffff
24206a:1700::/24206a:17ff:ffff:ffff:ffff:ffff:ffff:ffff
25206a:1800::/24206a:18ff:ffff:ffff:ffff:ffff:ffff:ffff
26206a:1900::/24206a:19ff:ffff:ffff:ffff:ffff:ffff:ffff
27206a:1a00::/24206a:1aff:ffff:ffff:ffff:ffff:ffff:ffff
28206a:1b00::/24206a:1bff:ffff:ffff:ffff:ffff:ffff:ffff
29206a:1c00::/24206a:1cff:ffff:ffff:ffff:ffff:ffff:ffff
30206a:1d00::/24206a:1dff:ffff:ffff:ffff:ffff:ffff:ffff
31206a:1e00::/24206a:1eff:ffff:ffff:ffff:ffff:ffff:ffff
32206a:1f00::/24206a:1fff:ffff:ffff:ffff:ffff:ffff:ffff
33206a:2000::/24206a:20ff:ffff:ffff:ffff:ffff:ffff:ffff
34206a:2100::/24206a:21ff:ffff:ffff:ffff:ffff:ffff:ffff
35206a:2200::/24206a:22ff:ffff:ffff:ffff:ffff:ffff:ffff
36206a:2300::/24206a:23ff:ffff:ffff:ffff:ffff:ffff:ffff
37206a:2400::/24206a:24ff:ffff:ffff:ffff:ffff:ffff:ffff
38206a:2500::/24206a:25ff:ffff:ffff:ffff:ffff:ffff:ffff
39206a:2600::/24206a:26ff:ffff:ffff:ffff:ffff:ffff:ffff
40206a:2700::/24206a:27ff:ffff:ffff:ffff:ffff:ffff:ffff
41206a:2800::/24206a:28ff:ffff:ffff:ffff:ffff:ffff:ffff
42206a:2900::/24206a:29ff:ffff:ffff:ffff:ffff:ffff:ffff
43206a:2a00::/24206a:2aff:ffff:ffff:ffff:ffff:ffff:ffff
44206a:2b00::/24206a:2bff:ffff:ffff:ffff:ffff:ffff:ffff
45206a:2c00::/24206a:2cff:ffff:ffff:ffff:ffff:ffff:ffff
46206a:2d00::/24206a:2dff:ffff:ffff:ffff:ffff:ffff:ffff
47206a:2e00::/24206a:2eff:ffff:ffff:ffff:ffff:ffff:ffff
48206a:2f00::/24206a:2fff:ffff:ffff:ffff:ffff:ffff:ffff
49206a:3000::/24206a:30ff:ffff:ffff:ffff:ffff:ffff:ffff
50206a:3100::/24206a:31ff:ffff:ffff:ffff:ffff:ffff:ffff
51206a:3200::/24206a:32ff:ffff:ffff:ffff:ffff:ffff:ffff
52206a:3300::/24206a:33ff:ffff:ffff:ffff:ffff:ffff:ffff
53206a:3400::/24206a:34ff:ffff:ffff:ffff:ffff:ffff:ffff
54206a:3500::/24206a:35ff:ffff:ffff:ffff:ffff:ffff:ffff
55206a:3600::/24206a:36ff:ffff:ffff:ffff:ffff:ffff:ffff
56206a:3700::/24206a:37ff:ffff:ffff:ffff:ffff:ffff:ffff
57206a:3800::/24206a:38ff:ffff:ffff:ffff:ffff:ffff:ffff
58206a:3900::/24206a:39ff:ffff:ffff:ffff:ffff:ffff:ffff
59206a:3a00::/24206a:3aff:ffff:ffff:ffff:ffff:ffff:ffff
60206a:3b00::/24206a:3bff:ffff:ffff:ffff:ffff:ffff:ffff
61206a:3c00::/24206a:3cff:ffff:ffff:ffff:ffff:ffff:ffff
62206a:3d00::/24206a:3dff:ffff:ffff:ffff:ffff:ffff:ffff
63206a:3e00::/24206a:3eff:ffff:ffff:ffff:ffff:ffff:ffff
64206a:3f00::/24206a:3fff:ffff:ffff:ffff:ffff:ffff:ffff
65206a:4000::/24206a:40ff:ffff:ffff:ffff:ffff:ffff:ffff
66206a:4100::/24206a:41ff:ffff:ffff:ffff:ffff:ffff:ffff
67206a:4200::/24206a:42ff:ffff:ffff:ffff:ffff:ffff:ffff
68206a:4300::/24206a:43ff:ffff:ffff:ffff:ffff:ffff:ffff
69206a:4400::/24206a:44ff:ffff:ffff:ffff:ffff:ffff:ffff
70206a:4500::/24206a:45ff:ffff:ffff:ffff:ffff:ffff:ffff
71206a:4600::/24206a:46ff:ffff:ffff:ffff:ffff:ffff:ffff
72206a:4700::/24206a:47ff:ffff:ffff:ffff:ffff:ffff:ffff
73206a:4800::/24206a:48ff:ffff:ffff:ffff:ffff:ffff:ffff
74206a:4900::/24206a:49ff:ffff:ffff:ffff:ffff:ffff:ffff
75206a:4a00::/24206a:4aff:ffff:ffff:ffff:ffff:ffff:ffff
76206a:4b00::/24206a:4bff:ffff:ffff:ffff:ffff:ffff:ffff
77206a:4c00::/24206a:4cff:ffff:ffff:ffff:ffff:ffff:ffff
78206a:4d00::/24206a:4dff:ffff:ffff:ffff:ffff:ffff:ffff
79206a:4e00::/24206a:4eff:ffff:ffff:ffff:ffff:ffff:ffff
80206a:4f00::/24206a:4fff:ffff:ffff:ffff:ffff:ffff:ffff
81206a:5000::/24206a:50ff:ffff:ffff:ffff:ffff:ffff:ffff
82206a:5100::/24206a:51ff:ffff:ffff:ffff:ffff:ffff:ffff
83206a:5200::/24206a:52ff:ffff:ffff:ffff:ffff:ffff:ffff
84206a:5300::/24206a:53ff:ffff:ffff:ffff:ffff:ffff:ffff
85206a:5400::/24206a:54ff:ffff:ffff:ffff:ffff:ffff:ffff
86206a:5500::/24206a:55ff:ffff:ffff:ffff:ffff:ffff:ffff
87206a:5600::/24206a:56ff:ffff:ffff:ffff:ffff:ffff:ffff
88206a:5700::/24206a:57ff:ffff:ffff:ffff:ffff:ffff:ffff
89206a:5800::/24206a:58ff:ffff:ffff:ffff:ffff:ffff:ffff
90206a:5900::/24206a:59ff:ffff:ffff:ffff:ffff:ffff:ffff
91206a:5a00::/24206a:5aff:ffff:ffff:ffff:ffff:ffff:ffff
92206a:5b00::/24206a:5bff:ffff:ffff:ffff:ffff:ffff:ffff
93206a:5c00::/24206a:5cff:ffff:ffff:ffff:ffff:ffff:ffff
94206a:5d00::/24206a:5dff:ffff:ffff:ffff:ffff:ffff:ffff
95206a:5e00::/24206a:5eff:ffff:ffff:ffff:ffff:ffff:ffff
96206a:5f00::/24206a:5fff:ffff:ffff:ffff:ffff:ffff:ffff
97206a:6000::/24206a:60ff:ffff:ffff:ffff:ffff:ffff:ffff
98206a:6100::/24206a:61ff:ffff:ffff:ffff:ffff:ffff:ffff
99206a:6200::/24206a:62ff:ffff:ffff:ffff:ffff:ffff:ffff
100206a:6300::/24206a:63ff:ffff:ffff:ffff:ffff:ffff:ffff
101206a:6400::/24206a:64ff:ffff:ffff:ffff:ffff:ffff:ffff
102206a:6500::/24206a:65ff:ffff:ffff:ffff:ffff:ffff:ffff
103206a:6600::/24206a:66ff:ffff:ffff:ffff:ffff:ffff:ffff
104206a:6700::/24206a:67ff:ffff:ffff:ffff:ffff:ffff:ffff
105206a:6800::/24206a:68ff:ffff:ffff:ffff:ffff:ffff:ffff
106206a:6900::/24206a:69ff:ffff:ffff:ffff:ffff:ffff:ffff
107206a:6a00::/24206a:6aff:ffff:ffff:ffff:ffff:ffff:ffff
108206a:6b00::/24206a:6bff:ffff:ffff:ffff:ffff:ffff:ffff
109206a:6c00::/24206a:6cff:ffff:ffff:ffff:ffff:ffff:ffff
110206a:6d00::/24206a:6dff:ffff:ffff:ffff:ffff:ffff:ffff
111206a:6e00::/24206a:6eff:ffff:ffff:ffff:ffff:ffff:ffff
112206a:6f00::/24206a:6fff:ffff:ffff:ffff:ffff:ffff:ffff
113206a:7000::/24206a:70ff:ffff:ffff:ffff:ffff:ffff:ffff
114206a:7100::/24206a:71ff:ffff:ffff:ffff:ffff:ffff:ffff
115206a:7200::/24206a:72ff:ffff:ffff:ffff:ffff:ffff:ffff
116206a:7300::/24206a:73ff:ffff:ffff:ffff:ffff:ffff:ffff
117206a:7400::/24206a:74ff:ffff:ffff:ffff:ffff:ffff:ffff
118206a:7500::/24206a:75ff:ffff:ffff:ffff:ffff:ffff:ffff
119206a:7600::/24206a:76ff:ffff:ffff:ffff:ffff:ffff:ffff
120206a:7700::/24206a:77ff:ffff:ffff:ffff:ffff:ffff:ffff
121206a:7800::/24206a:78ff:ffff:ffff:ffff:ffff:ffff:ffff
122206a:7900::/24206a:79ff:ffff:ffff:ffff:ffff:ffff:ffff
123206a:7a00::/24206a:7aff:ffff:ffff:ffff:ffff:ffff:ffff
124206a:7b00::/24206a:7bff:ffff:ffff:ffff:ffff:ffff:ffff
125206a:7c00::/24206a:7cff:ffff:ffff:ffff:ffff:ffff:ffff
126206a:7d00::/24206a:7dff:ffff:ffff:ffff:ffff:ffff:ffff
127206a:7e00::/24206a:7eff:ffff:ffff:ffff:ffff:ffff:ffff
128206a:7f00::/24206a:7fff:ffff:ffff:ffff:ffff:ffff:ffff
129206a:8000::/24206a:80ff:ffff:ffff:ffff:ffff:ffff:ffff
130206a:8100::/24206a:81ff:ffff:ffff:ffff:ffff:ffff:ffff
131206a:8200::/24206a:82ff:ffff:ffff:ffff:ffff:ffff:ffff
132206a:8300::/24206a:83ff:ffff:ffff:ffff:ffff:ffff:ffff
133206a:8400::/24206a:84ff:ffff:ffff:ffff:ffff:ffff:ffff
134206a:8500::/24206a:85ff:ffff:ffff:ffff:ffff:ffff:ffff
135206a:8600::/24206a:86ff:ffff:ffff:ffff:ffff:ffff:ffff
136206a:8700::/24206a:87ff:ffff:ffff:ffff:ffff:ffff:ffff
137206a:8800::/24206a:88ff:ffff:ffff:ffff:ffff:ffff:ffff
138206a:8900::/24206a:89ff:ffff:ffff:ffff:ffff:ffff:ffff
139206a:8a00::/24206a:8aff:ffff:ffff:ffff:ffff:ffff:ffff
140206a:8b00::/24206a:8bff:ffff:ffff:ffff:ffff:ffff:ffff
141206a:8c00::/24206a:8cff:ffff:ffff:ffff:ffff:ffff:ffff
142206a:8d00::/24206a:8dff:ffff:ffff:ffff:ffff:ffff:ffff
143206a:8e00::/24206a:8eff:ffff:ffff:ffff:ffff:ffff:ffff
144206a:8f00::/24206a:8fff:ffff:ffff:ffff:ffff:ffff:ffff
145206a:9000::/24206a:90ff:ffff:ffff:ffff:ffff:ffff:ffff
146206a:9100::/24206a:91ff:ffff:ffff:ffff:ffff:ffff:ffff
147206a:9200::/24206a:92ff:ffff:ffff:ffff:ffff:ffff:ffff
148206a:9300::/24206a:93ff:ffff:ffff:ffff:ffff:ffff:ffff
149206a:9400::/24206a:94ff:ffff:ffff:ffff:ffff:ffff:ffff
150206a:9500::/24206a:95ff:ffff:ffff:ffff:ffff:ffff:ffff
151206a:9600::/24206a:96ff:ffff:ffff:ffff:ffff:ffff:ffff
152206a:9700::/24206a:97ff:ffff:ffff:ffff:ffff:ffff:ffff
153206a:9800::/24206a:98ff:ffff:ffff:ffff:ffff:ffff:ffff
154206a:9900::/24206a:99ff:ffff:ffff:ffff:ffff:ffff:ffff
155206a:9a00::/24206a:9aff:ffff:ffff:ffff:ffff:ffff:ffff
156206a:9b00::/24206a:9bff:ffff:ffff:ffff:ffff:ffff:ffff
157206a:9c00::/24206a:9cff:ffff:ffff:ffff:ffff:ffff:ffff
158206a:9d00::/24206a:9dff:ffff:ffff:ffff:ffff:ffff:ffff
159206a:9e00::/24206a:9eff:ffff:ffff:ffff:ffff:ffff:ffff
160206a:9f00::/24206a:9fff:ffff:ffff:ffff:ffff:ffff:ffff
161206a:a000::/24206a:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
162206a:a100::/24206a:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
163206a:a200::/24206a:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
164206a:a300::/24206a:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
165206a:a400::/24206a:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
166206a:a500::/24206a:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
167206a:a600::/24206a:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
168206a:a700::/24206a:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
169206a:a800::/24206a:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
170206a:a900::/24206a:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
171206a:aa00::/24206a:aaff:ffff:ffff:ffff:ffff:ffff:ffff
172206a:ab00::/24206a:abff:ffff:ffff:ffff:ffff:ffff:ffff
173206a:ac00::/24206a:acff:ffff:ffff:ffff:ffff:ffff:ffff
174206a:ad00::/24206a:adff:ffff:ffff:ffff:ffff:ffff:ffff
175206a:ae00::/24206a:aeff:ffff:ffff:ffff:ffff:ffff:ffff
176206a:af00::/24206a:afff:ffff:ffff:ffff:ffff:ffff:ffff
177206a:b000::/24206a:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
178206a:b100::/24206a:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
179206a:b200::/24206a:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
180206a:b300::/24206a:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
181206a:b400::/24206a:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
182206a:b500::/24206a:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
183206a:b600::/24206a:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
184206a:b700::/24206a:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
185206a:b800::/24206a:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
186206a:b900::/24206a:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
187206a:ba00::/24206a:baff:ffff:ffff:ffff:ffff:ffff:ffff
188206a:bb00::/24206a:bbff:ffff:ffff:ffff:ffff:ffff:ffff
189206a:bc00::/24206a:bcff:ffff:ffff:ffff:ffff:ffff:ffff
190206a:bd00::/24206a:bdff:ffff:ffff:ffff:ffff:ffff:ffff
191206a:be00::/24206a:beff:ffff:ffff:ffff:ffff:ffff:ffff
192206a:bf00::/24206a:bfff:ffff:ffff:ffff:ffff:ffff:ffff
193206a:c000::/24206a:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
194206a:c100::/24206a:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
195206a:c200::/24206a:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
196206a:c300::/24206a:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
197206a:c400::/24206a:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
198206a:c500::/24206a:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
199206a:c600::/24206a:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
200206a:c700::/24206a:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
201206a:c800::/24206a:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
202206a:c900::/24206a:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
203206a:ca00::/24206a:caff:ffff:ffff:ffff:ffff:ffff:ffff
204206a:cb00::/24206a:cbff:ffff:ffff:ffff:ffff:ffff:ffff
205206a:cc00::/24206a:ccff:ffff:ffff:ffff:ffff:ffff:ffff
206206a:cd00::/24206a:cdff:ffff:ffff:ffff:ffff:ffff:ffff
207206a:ce00::/24206a:ceff:ffff:ffff:ffff:ffff:ffff:ffff
208206a:cf00::/24206a:cfff:ffff:ffff:ffff:ffff:ffff:ffff
209206a:d000::/24206a:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
210206a:d100::/24206a:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
211206a:d200::/24206a:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
212206a:d300::/24206a:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
213206a:d400::/24206a:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
214206a:d500::/24206a:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
215206a:d600::/24206a:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
216206a:d700::/24206a:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
217206a:d800::/24206a:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
218206a:d900::/24206a:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
219206a:da00::/24206a:daff:ffff:ffff:ffff:ffff:ffff:ffff
220206a:db00::/24206a:dbff:ffff:ffff:ffff:ffff:ffff:ffff
221206a:dc00::/24206a:dcff:ffff:ffff:ffff:ffff:ffff:ffff
222206a:dd00::/24206a:ddff:ffff:ffff:ffff:ffff:ffff:ffff
223206a:de00::/24206a:deff:ffff:ffff:ffff:ffff:ffff:ffff
224206a:df00::/24206a:dfff:ffff:ffff:ffff:ffff:ffff:ffff
225206a:e000::/24206a:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
226206a:e100::/24206a:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
227206a:e200::/24206a:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
228206a:e300::/24206a:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
229206a:e400::/24206a:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
230206a:e500::/24206a:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
231206a:e600::/24206a:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
232206a:e700::/24206a:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
233206a:e800::/24206a:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
234206a:e900::/24206a:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
235206a:ea00::/24206a:eaff:ffff:ffff:ffff:ffff:ffff:ffff
236206a:eb00::/24206a:ebff:ffff:ffff:ffff:ffff:ffff:ffff
237206a:ec00::/24206a:ecff:ffff:ffff:ffff:ffff:ffff:ffff
238206a:ed00::/24206a:edff:ffff:ffff:ffff:ffff:ffff:ffff
239206a:ee00::/24206a:eeff:ffff:ffff:ffff:ffff:ffff:ffff
240206a:ef00::/24206a:efff:ffff:ffff:ffff:ffff:ffff:ffff
241206a:f000::/24206a:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
242206a:f100::/24206a:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
243206a:f200::/24206a:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
244206a:f300::/24206a:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
245206a:f400::/24206a:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
246206a:f500::/24206a:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
247206a:f600::/24206a:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
248206a:f700::/24206a:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
249206a:f800::/24206a:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
250206a:f900::/24206a:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
251206a:fa00::/24206a:faff:ffff:ffff:ffff:ffff:ffff:ffff
252206a:fb00::/24206a:fbff:ffff:ffff:ffff:ffff:ffff:ffff
253206a:fc00::/24206a:fcff:ffff:ffff:ffff:ffff:ffff:ffff
254206a:fd00::/24206a:fdff:ffff:ffff:ffff:ffff:ffff:ffff
255206a:fe00::/24206a:feff:ffff:ffff:ffff:ffff:ffff:ffff
256206a:ff00::/24206a:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses